# Interface PromptDialogOptions

interface PromptDialogOptions {
callback ?: (value: null | string) => void;
defaultValue ?: string;
message ?: string;
shown ?: PromptShownDialogCallback ;
title ?: string;
}

- Defined in src/public/app/widgets/dialogs/prompt.ts:31

##### Index

### Properties

callback?
defaultValue?
message?
shown?
title?

## Properties

### `Optional` callback

callback?: (value: null | string) => void

- Defined in src/public/app/widgets/dialogs/prompt.ts:36

### `Optional` defaultValue

defaultValue?: string

- Defined in src/public/app/widgets/dialogs/prompt.ts:34

### `Optional` message

message?: string

- Defined in src/public/app/widgets/dialogs/prompt.ts:33

### `Optional` shown

shown?: PromptShownDialogCallback

- Defined in src/public/app/widgets/dialogs/prompt.ts:35

### `Optional` title

title?: string

- Defined in src/public/app/widgets/dialogs/prompt.ts:32